package de.hdm_stuttgart.mi.sd1.test.aufgabe1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.aufgabe1._3_Maexchen;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

/**
 * <p>Mäxchen spielen.</p>
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@SuppressWarnings({"UnusedDeclaration"})
public class Test_3_Maexchen extends ExaminationTestDefaults {

  /**
   * Pasch.
   */
  @Test @Marking(points = 2) public void test_220() {
    for (int i = 1; i <= 6; i++) {
      for (int j = 1; j <= 6; j++) {
        if (j == i) {
          Assert.assertTrue("i = " + i + ", j = " + j, _3_Maexchen.istPasch(i, j));
        } else {
          Assert.assertFalse("i = " + i + ", j = " + j, _3_Maexchen.istPasch(i, j));
        }
      }
    }
  }
  /**
   * Mäxchen.
   */
  @Test @Marking(points = 2) public void test_240() {
    for (int i = 1; i <= 6; i++) {
      for (int j = 1; j <= 6; j++) {
        if (3 == j + i) {
          Assert.assertTrue("i = " + i + ", j = " + j, _3_Maexchen.istMaexchen(i, j));
        } else {
          Assert.assertFalse("i = " + i + ", j = " + j, _3_Maexchen.istMaexchen(i, j));
        }
      }
    }
  }
  /**
   * Kein Sonderfall.
   */
  @Test public void test_280() {
    for (int i = 1; i <= 6; i++) {
      for (int j = 1; j < 6; j++) {
        //System.out.println("i = " + i + ", j = " + j);
        if ( i == j ||     // »Pasch« oder
             3 == i + j) { // »Mäxchen«
          Assert.assertFalse("i = " + i + ", j = " + j, _3_Maexchen.istKeinSonderfall(i, j));
        } else {
          Assert.assertTrue("i = " + i + ", j = " + j, _3_Maexchen.istKeinSonderfall(i, j));
        }
      }
    }
  }
}
