package de.hdm_stuttgart.mi.sd1.task1;

/**
 * Scrabble game scores.
 * 
 * <object data="doc-files/scrabble.jpg" type="image/jpg" ></object>
 *
 */
public class _5_Scrabble {
    /**
     * <p>Compute the Scrabble score of a given word.</p>
     *
     * <p>The Scrabble game awards scores for words using the usual the A-Z alphabet. Each character receives a case
     * independent score:</p>
     *
     *    <table class="goikTableDefaults">
     *        <tr>
     *            <th>Letters</th>
     *            <th>Score</th>
     *        </tr>
     *        <tr>
     *            <td>A, E, I, O, U, L, N, R, S, T</td>
     *            <td>1</td>
     *        </tr>
     *        <tr>
     *            <td>D, G</td>
     *            <td>2</td>
     *        </tr>
     *        <tr>
     *            <td>B, C, M, P</td>
     *            <td>3</td>
     *        </tr>
     *        <tr>
     *            <td>F, H, V, W, Y</td>
     *            <td>4</td>
     *        </tr>
     *        <tr>
     *            <td>K</td>
     *            <td>5</td>
     *        </tr>
     *        <tr>
     *            <td>J, X</td>
     *            <td>8</td>
     *        </tr>
     *        <tr>
     *            <td>Q, Z</td>
     *            <td>10</td>
     *        </tr>
     *    </table>
     *
     *  <p>A word's score equals the sum of its character scores. We calculate the score of
     *  <code>"CYPHERTEXT"</code> :</p>
     *
     * <object data="doc-files/scrabble.svg" type="image/svg+xml"></object>
     *
     * @param word A string or null
     * @return The word's score. Zero for empty string or <code>null</code>.
     *
     * <section class="implementationHints">
     *   <h3 class="implementationHints">Helpful classes and methods:</h3>
     *
     *   <ul>
     *       <li>{@link String#toCharArray()} for splitting a word into its characters</li>
     *       <li>{@link String#toUpperCase()} to normalize e.g. <code>"Cyphertext"</code> to
     *       <code>"CYPHERTEXT"</code>.</li>
     *   </ul>
     *
     * </section>
     */
    static public int getScore(final String word) {
        return 1000; // TODO: Implement me correctly
    }

    private _5_Scrabble(){/* Ignore me: My presence suppresses an otherwise visible default constructor's Javadoc */}
}
